libcoap 4.3.2rc2

Data Fields
coap_option_t Struct Reference

Representation of CoAP options. More...

`#include <coap_option.h>`

## Data Fields
uint16_t | delta
size_t | length
const uint8_t * | value

## Detailed Description

Representation of CoAP options.

Definition at line 32 of file coap_option.h.

## Field Documentation

## ◆ delta

uint16_t coap_option_t::delta

Definition at line 33 of file coap_option.h.

## ◆ length

size_t coap_option_t::length

Definition at line 34 of file coap_option.h.

## ◆ value

const uint8_t* coap_option_t::value

Definition at line 35 of file coap_option.h.

The documentation for this struct was generated from the following file:

- coap_option.h